=== debian/changelog ===
libusb3380 (0.0.1+git20190125.c83d1e9-2) unstable; urgency=medium

  * Fixed debian/copyright: added forgotten copyright holder.
  * Bumped Standards-Version.

 -- Sepi Gair <sepigair@email.cz>  Thu, 09 Apr 2020 11:25:30 +0200

libusb3380 (0.0.1+git20190125.c83d1e9-1) unstable; urgency=medium

  * Initial release (Closes: #945152)

 -- Sepi Gair <sepigair@email.cz>  Thu, 28 Nov 2019 12:42:25 +0100
