=== debian/control ===
Source: libusb3380
Priority: optional
Maintainer: Sepi Gair <sepigair@email.cz>
Build-Depends: debhelper-compat (= 12), cmake, libusb-1.0-0-dev
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/xtrx-sdr/libusb3380
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/libusb3380
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/libusb3380.git

Package: libusb3380-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libusb3380-0 (= ${binary:Version}), libusb-1.0-0-dev, ${misc:Depends}
Description: USB3380 abstraction layer for libusb: development
 The USB 3380 is a PCI Express Gen 2 to USB 3.0 SuperSpeed Peripheral
 Controller. It features one PCI Express Gen 2 x1 port and one USB 3.0
 SuperSpeed client port. The USB 3380 provides a matching bandwidth at 5 GT/s
 between the PCI Express Gen 2 bus and the USB 3.0 SuperSpeed bus.
 .
 The library is developed for XTRX SDR which is the smallest easily embeddable
 software-defined radio (SDR). It is both affordable and high-performance. XTRX
 is designed to enable the next generation of wireless solutions, from
 prototype to production.
 .
 This package contains development files.

Package: libusb3380-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: USB3380 abstraction layer for libusb
 The USB 3380 is a PCI Express Gen 2 to USB 3.0 SuperSpeed Peripheral
 Controller. It features one PCI Express Gen 2 x1 port and one USB 3.0
 SuperSpeed client port. The USB 3380 provides a matching bandwidth at 5 GT/s
 between the PCI Express Gen 2 bus and the USB 3.0 SuperSpeed bus.
 .
 The library is developed for XTRX SDR which is the smallest easily embeddable
 software-defined radio (SDR). It is both affordable and high-performance. XTRX
 is designed to enable the next generation of wireless solutions, from
 prototype to production.
 .
 This package contains the shared library.
